#ifndef PARALLEL_H
#define PARALLEL_H

// Pin 1
#define PARALLEL_STROBE 0
// Pin 10
#define PARALLEL_ACK 1
// Pin 11
#define PARALLEL_BUSY 2
// Pin 12
#define PARALLEL_PAPER_OUT 3
// Pin 13
#define PARALLEL_SELECT 4
// Pin 14
#define PARALLEL_AUTO_LINEFEED 5
// Pin 15
#define PARALLEL_ERROR 6
// Pin 16
#define PARALLEL_INITIALISE 7

void parallel_init(void);

void parallel_write(uint8_t address, uint8_t value);

uint8_t parallel_read(uint8_t address);

enum parallel_register_t {
	PARALLEL_DATA,
	PARALLEL_STATUS,
	PARALLEL_CONTROL,
};

#endif